---------------------------------------------------------------------------
--                                                                       --
--  ast2dot is an ASIS application that outputs the AST in dot format.   --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--        Copyright (c) 2006,2009 Raul Fechete, Georg Kienesberger       --
--                                                                       --
---------------------------------------------------------------------------
-- This file is part of ast2dot.                                         --
--                                                                       --
-- ast2dot is free software; you can redistribute it and/or modify       --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 2 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- ast2dot is distributed in the hope that it will be useful,            --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with ast2dot; if not, write to the Free Software                --
-- Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 --
-- USA                                                                   --
--                                                                       --
---------------------------------------------------------------------------

with Asis.Elements;
with Level_List; use Level_List;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;
with Ada.Wide_Text_IO; use Ada.Wide_Text_IO;

package Process_Output is

   procedure BeginDigraph (Name: in String);
   procedure PrintDot (MyElement: in Asis.Element; MyLevel: in Natural; MyLastLevel: in Natural; MyId: in Natural; MyLevelList: in out LevelList);
   procedure EndDigraph;

private
   Filename: Unbounded_String := To_Unbounded_String("no_filename_yet");
   Cur_File: File_Type;

end Process_Output;
