---------------------------------------------------------------------------
--                                                                       --
--  ast2dot is an ASIS application that outputs the AST in dot format.   --
--                          http://cfg.w3x.org                           --
--                                                                       --
---------------------------------------------------------------------------
--                                                                       --
--        Copyright (c) 2006,2009 Raul Fechete, Georg Kienesberger       --
--                                                                       --
---------------------------------------------------------------------------
-- This file is part of ast2dot.                                         --
--                                                                       --
-- ast2dot is free software; you can redistribute it and/or modify       --
-- it under the terms of the GNU General Public License as published by  --
-- the Free Software Foundation; either version 2 of the License, or     --
-- (at your option) any later version.                                   --
--                                                                       --
-- ast2dot is distributed in the hope that it will be useful,            --
-- but WITHOUT ANY WARRANTY; without even the implied warranty of        --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         --
-- GNU General Public License for more details.                          --
--                                                                       --
-- You should have received a copy of the GNU General Public License     --
-- along with ast2dot; if not, write to the Free Software                --
-- Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 --
-- USA                                                                   --
--                                                                       --
---------------------------------------------------------------------------

with Level_List; use Level_List;

package Transformation_Control is

   -- Tree level control functions

   procedure ZeroLevel;
   procedure IncLevel;
   procedure DecLevel;
   function GetLevel return Natural;
   function GetLastLevel return Natural;

   procedure ZeroId;
   function GetId return Natural;
   function GetNextId return Natural;

   LevList: LevelList;

   Node_Overflow, Unset, Underflow: exception;

private

   Tree_Level: Natural;
   Last_Tree_Level: Integer := -1;
   Id: Natural := 0;

end Transformation_Control;
